Description

https://github.com/LukeMurphey/lookup-editor/issues/39

Related issues:

Copied to Lookup Editor - Bug #2387: Time values are not converted properly f... Closed 03/07/2019

Associated revisions

Revision 562 - 03/07/2019 09:54 PM - lukemurphey

Fixing issue where the time values were getting converted incorrectly

Reference #2369

Revision 565 - 03/08/2019 04:44 AM - lukemurphey

Fixed time conversion issues with CSV lookups

Reference #2369

Revision 566 - 03/08/2019 04:44 AM - lukemurphey

Fixed time conversion issues with CSV lookups

Reference #2369

History

#1 - 03/07/2019 05:55 PM - Luke Murphey

makeRowJSON

timeRenderer

#2 - 03/07/2019 06:13 PM - Luke Murphey

Questions:

What happens when a string value is supplied?

What happens when an epoch is provided?

[Answered] How does includes_microseconds get set?

lookupRenderer(): when it sees _time

getDefaultEditor(): when it sees _time

Does formatTime get called with microseconds upon load?

What happens when formatTime is told to use microseconds?

It edits correctly but gets the wrong value when the lookup is reloaded

It appears to load a ms value

It also converts the value to ms when it posts to the endpoint

[Answered] Where does formatTime get called?

getTimeRenderer()
getDefaultEditor(): may only apply to CSVs though

[Answered] What the use cases?

https://lukemurphey.net/projects/splunk-lookup-editor/wiki/Test_Plan#section-4

Is formatTime() correct to multiply the time by 1000 when it include ms?

Observations:

[Fixed] Editing is saving the value with microseconds

The initial load is assuming that the values include microseconds

moment assumes that a provided integer has microseconds

Entering an epoch causes two posts

Double post is not due to timeRenderer() nor makeRowJSON() changing the time value nor the editor (assigned in "editor:")

lookupRenderer() is not used for KV lookups

Getting a source of timeValidator for the second post

formatTime() is getting the string value in string format that has already been converted

formatTime() is doing the right thing upon editing

The persisting to the KVstore collection isn't causing the problem

Not setting the column type to "time" in TableEditorView::getColumnsMetadata()

There is a correctTime format option: https://handsontable.com/docs/7.0.0/demo-time.html

#3 - 03/08/2019 04:49 AM - Luke Murphey

- % Done changed from 0 to 100

#4 - 03/08/2019 05:04 AM - Luke Murphey

- Status changed from New to Closed

#5 - 05/01/2019 07:10 PM - Luke Murphey

- Copied to Bug #2387: Time values are not converted properly for KV store lookups added
